petsc-3.4.2 2013-07-02

# DMPlexGetHeightStratum

Get the bounds [start, end) for all points at a certain height.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetHeightStratum(DM dm, PetscInt stratumValue, PetscInt *start, PetscInt *end)

Not Collective

### Input Parameters

| dm | - The DMPlex object
| stratumValue | - The requested height

### Output Parameters

| start | - The first point at this height
| end | - One beyond the last point at this height

### Keywords

mesh, points

### See Also

DMPlexGetDepthStratum(), DMPlexGetDepth()

Level:developer
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex52.c.html